﻿using System.ComponentModel.DataAnnotations;

namespace ApplicationCore.Models
{
    public class AddUserRequest
    {
        [Required]
        public string FirstName { get; set; }

        [Required]
        public string LastName { get; set; }

        [Required]
        [EmailAddress]
        public string Email { get; set; }

        [Required]
        public string Password { get; set; }

        [Required]
        public bool SpecialOffer { get; set; }
    }
}